# Uses of Interface
com.logicaldoc.core.metadata.TemplateDAO

Packages that use TemplateDAO
Package
Description
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of TemplateDAO in com.logicaldoc.core.metadata

Classes in com.logicaldoc.core.metadata that implement TemplateDAO
Modifier and Type
Class
Description
`class`
`HibernateTemplateDAO`
Hibernate implementation of `TemplateDAO`
Methods in com.logicaldoc.core.metadata that return TemplateDAO
Modifier and Type
Method
Description
`static TemplateDAO`
TemplateDAO.`get()`
Gets the object available in the application context